Name: jcommon
Version: 1.0.17
Release: %mkrel 4
Summary: JFree Java utility classes
License: LGPLv2+
Group:  Development/Java
Source: http://downloads.sourceforge.net/jfreechart/%{name}-%{version}.tar.gz
URL: http://www.jfree.org/jcommon
BuildRequires: ant, java-devel, jpackage-utils
# Required for converting jars to OSGi bundles
BuildRequires:  aqute-bnd
Requires: java, jpackage-utils
BuildArch: noarch

%description
JCommon is a collection of useful classes used by 
JFreeChart, JFreeReport and other projects.

%package javadoc
Summary: Javadoc for %{name}
Group: Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%package xml
Summary: JFree XML utility classes
Group:   Development/Java
Requires: %{name} = %{version}-%{release}
Requires: java, jpackage-utils

%description xml
Optional XML utility classes.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;

%build
pushd ant
ant compile compile-xml javadoc
popd
# Convert to OSGi bundle
java -jar $(build-classpath aqute-bnd) wrap %{name}-%{version}.jar

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-%{version}.bar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p %{name}-xml-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-xml.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp javadoc $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap -a "jfree:%name" JPP-%{name}.pom %{name}.jar

%files
%doc licence-LGPL.txt README.txt
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/%{name}.jar

%files xml
%{_javadir}/%{name}-xml.jar

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.17-4.mga3
+ Revision: 355268
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-3.mga3
+ Revision: 292004
- Add new fragment

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-2.mga3
+ Revision: 291967
- Remove dupplicate %%changelog section

* Mon Sep 10 2012 dmorgan <dmorgan> 1.0.17-1.mga3
+ Revision: 291941
- New version

* Tue Aug 09 2011 dmorgan <dmorgan> 1.0.16-5.mga2
+ Revision: 132411
- Fix group

  + gil <gil>
    - added maven2 pom

* Mon May 16 2011 ahmad <ahmad> 1.0.16-4.mga1
+ Revision: 99298
- Fix sub-packages groups (mga#1302)

* Tue May 10 2011 dmorgan <dmorgan> 1.0.16-3.mga1
+ Revision: 97030
- imported package jcommon

